import { __rest, __assign } from 'tslib';
import { jsxs, jsx } from 'react/jsx-runtime';
import { useState } from 'react';
import classNames from 'classnames';
import { ReactComponent as SvgIcError } from '../../assets/svg/ic-error.svg.js';
import { ReactComponent as SvgIcWarningTriangleHollow } from '../../assets/svg/ic-warning-triangle-hollow.svg.js';
import { ReactComponent as SvgIcSuccessCircle } from '../../assets/svg/ic-success-circle.svg.js';
import { ReactComponent as SvgIcClose } from '../../assets/svg/ic-close.svg.js';
import { ReactComponent as SvgIcInfoCircleThick } from '../../assets/svg/ic-info-circle-thick.svg.js';
import styles from './Notification.module.scss.js';
import AnimateHeight from 'react-animate-height';

var iconTypeMapper = {
  error: {
    icon: SvgIcError
  },
  warning: {
    icon: SvgIcWarningTriangleHollow
  },
  success: {
    icon: SvgIcSuccessCircle
  },
  info: {
    icon: SvgIcInfoCircleThick
  },
  urgent: {
    icon: SvgIcWarningTriangleHollow
  }
};
/** Notification */
var Notification = function (_a) {
  var _b = _a.type,
    type = _b === void 0 ? 'success' : _b,
    _c = _a.variant,
    variant = _c === void 0 ? 'primary' : _c,
    children = _a.children,
    moreInfoClassName = _a.moreInfoClassName,
    moreInfo = _a.moreInfo,
    onClose = _a.onClose,
    className = _a.className,
    moreInfoWrapperClassName = _a.moreInfoWrapperClassName,
    rest = __rest(_a, ["type", "variant", "children", "moreInfoClassName", "moreInfo", "onClose", "className", "moreInfoWrapperClassName"]);
  var _d = useState(false),
    showMore = _d[0],
    setShowMore = _d[1];
  var Icon = iconTypeMapper[type].icon;
  var hasMore = !!moreInfo;
  var closeable = !!onClose;
  return jsxs("div", __assign({
    className: classNames(styles["base"], styles[type], styles[variant], className)
  }, rest, {
    children: [jsxs("div", __assign({
      className: styles["main"]
    }, {
      children: [jsx(Icon, {
        className: styles["type-icon"]
      }), jsxs("div", __assign({
        className: styles["content"]
      }, {
        children: [children, hasMore && jsx("button", __assign({
          type: 'button',
          onClick: function () {
            return setShowMore(!showMore);
          },
          className: classNames(styles["show-more"])
        }, {
          children: showMore ? "Show Less" : "Show More"
        }))]
      })), closeable && jsx("button", __assign({
        type: 'button',
        className: styles["delete-button"],
        onClick: onClose,
        title: 'Close'
      }, {
        children: jsx(SvgIcClose, {})
      }))]
    })), jsx(AnimateHeight, __assign({
      duration: 400,
      easing: 'var(--cubic_bezier)',
      height: showMore ? "auto" : 0,
      contentClassName: classNames(styles['more-wrapper'], moreInfoWrapperClassName)
    }, {
      children: jsx("div", __assign({
        className: classNames(styles["more"], moreInfoClassName)
      }, {
        children: moreInfo
      }))
    }))]
  }));
};

export { Notification, iconTypeMapper };
//# sourceMappingURL=index.js.map
