import React__default from 'react';
import './progressBar.scss.js';
import PropTypes from 'prop-types';

var ProgressBar = function ProgressBar(_ref) {
  var value = _ref.value,
      color = _ref.color,
      max = _ref.max,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? "" : _ref$className;
  return /*#__PURE__*/React__default.createElement("div", {
    className: "Suc-progressbar ".concat(className)
  }, /*#__PURE__*/React__default.createElement("div", {
    className: "Suc-filled-value",
    style: {
      width: value / max * 100 + '%',
      backgroundColor: color
    }
  }));
};

ProgressBar.propTypes = {
  /** Custom className */
  className: PropTypes.string,

  /** Value filled out of max */
  value: PropTypes.number,

  /** Maximum number */
  max: PropTypes.number,

  /** custom color (valid css) */
  color: PropTypes.string
};
ProgressBar.defaultProps = {
  color: '#2D6BCC',
  className: '',
  max: 100,
  value: 0
};

export { ProgressBar as default };
//# sourceMappingURL=index.js.map
