import WizardTransition from './WizardTransition.js';
import React__default from 'react';
import useWizard from './useWizard.js';

var WizardStepTransitionRenderer = (function (_ref) {
  var className = _ref.className,
      children = _ref.children,
      style = _ref.style;

  var _useWizard = useWizard(),
      stepPaths = _useWizard.stepPaths,
      currentStepPath = _useWizard.currentStepPath,
      stepsMap = _useWizard.stepsMap;

  return /*#__PURE__*/React__default.createElement(React__default.Fragment, null, stepPaths[currentStepPath].map(function (_ref2, stepIndex) {
    var key = _ref2.key;
    return /*#__PURE__*/React__default.createElement(WizardTransition, {
      renderedIndex: stepIndex,
      renderedStep: key,
      className: className,
      style: style,
      key: key
    }, children(stepsMap[key]));
  }));
});

export { WizardStepTransitionRenderer as default };
//# sourceMappingURL=WizardStepTransitionRenderer.js.map
